Link to custom copyright tag select invalid due to "deed" appended to URL
Closed, ResolvedPublic

Description

Tested for &uselang=fr ru and de

Steps to reproduce:

Expected result:


Version: unspecified
Severity: minor

bzimport set Reference to bz40472.
Rillke created this task.Via LegacySep 24 2012, 9:59 AM
Rillke added a comment.Via ConduitSep 24 2012, 10:13 AM

BTW, this seems to happen while parsing; UploadWizardConfig.licenses.custom.msg looks Ok

Nischayn22 added a comment.Via ConduitMar 10 2013, 5:37 PM

This is a general bug not related to any language..
deed.de is always appended to the URL because it will then point to the right language on creative commons like http://creativecommons.org/licenses/by-sa/3.0/deed.fr

But it is wrongly appended in this case to a commons link.

Line 226 in mw.UploadWizardLicenseInput.js does this. I will look for a way to fix this.

Nischayn22 added a comment.Via ConduitMay 20 2013, 7:11 AM

*** Bug 48624 has been marked as a duplicate of this bug. ***

MarkTraceur added a comment.Via ConduitJun 21 2013, 7:13 PM

Merged!

Gilles raised the priority of this task from "Normal" to "Unbreak Now!".Via WebDec 4 2014, 10:23 AM
Gilles moved this task to Closed on the Multimedia workboard.
Gilles added a project: Multimedia.
Gilles lowered the priority of this task from "Unbreak Now!" to "Normal".Via ConduitDec 4 2014, 11:22 AM

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.